Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.jms.support.converter
Interface MessageConverter

All Known Implementing Classes:
  MappingJackson2MessageConverter, MappingJacksonMessageConverter, MarshallingMessageConverter, SimpleMessageConverter, SimpleMessageConverter102

    public interface MessageConverter

Strategy interface that specifies a converter between Java objects and JMS messages.

Check out `SimpleMessageConverter` for a default implementation, converting between the 'standard' message payloads and JMS Message types.

Since:
  1.1
Author:
  Mark Pollack, Juergen Hoeller
See Also:
  `JmsTemplate.setMessageConverter(org.springframework.jms.support.converter.MessageConverter)`, `MessageListenerAdapter.setMessageConverter(org.springframework.jms.support.converter.MessageConverter)`, `JmsInvokerClientInterceptor.setMessageConverter(org.springframework.jms.support.converter.MessageConverter)`, `JmsInvokerServiceExporter.setMessageConverter(org.springframework.jms.support.converter.MessageConverter)`

Method Summary
`Object` | `fromMessage(Message message)` Convert from a JMS Message to a Java object.
`Message` | `toMessage(Object object, Session session)` Convert a Java object to a JMS Message using the supplied session to create the message object.

Method Detail

### toMessage

    Message toMessage(Object object,
                      Session session)
                      throws JMSException,
                             MessageConversionException

  Convert a Java object to a JMS Message using the supplied session to create the message object.

  Parameters:
    `object` - the object to convert
    `session` - the Session to use for creating a JMS Message
  Returns:
    the JMS Message
  Throws:
    `JMSException` - if thrown by JMS API methods
    `MessageConversionException` - in case of conversion failure

### fromMessage

    Object fromMessage(Message message)
                       throws JMSException,
                              MessageConversionException

  Convert from a JMS Message to a Java object.

  Parameters:
    `message` - the message to convert
  Returns:
    the converted Java object
  Throws:
    `JMSException` - if thrown by JMS API methods
    `MessageConversionException` - in case of conversion failure

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD